Loading...
Searching...
No Matches
casacore::FITSIDItoMS1 Class Reference
msfits package (libcasa_msfits) » MSFits_module

More...

`#include <FitsIDItoMS.h>`

## Public Member Functions

| FITSIDItoMS1 (FitsInput &in, const String &correlat, const Int &obsType=0, const Bool &initFirstMain=True, const Float &vanVleck=0.0, const Float &corVer=0.0)
| The only constructor is from a FitsInput.
| ~FITSIDItoMS1 ()
Table | oldfullTable (const String &tabName)
| Get the full table, using the supplied arguments to construct the table.
void | fillObsTables ()
| Fill the Observation and ObsLog tables.
void | fillAntennaTable ()
| Read a binary table extension of type ANTENNA and create an antenna table void fillAntennaTable(BinaryTable& bt);.
void | fillFeedTable ()
| fill the Feed table with minimal info needed for synthesis processing
void | fillFieldTable ()
| fill the Field table void fillFieldTable(Int nField);
void | fillSpectralWindowTable ()
| fill the Spectral Window table with the content of FREQUENCY
Bool | fillCorrelatorModelTable ()
| fill the optional Correlator Model table with the content of INTERFEROMETER_MODEL
Bool | fillSysCalTable ()
| fill the optional SysCal table with the content of SYSTEM_TEMPERATURE
Bool | fillFlagCmdTable ()
| fill the optional FlagCmd table with the content of FLAG
Bool | fillWeatherTable ()
| fill the optional Weather table with the content of WEATHER
Bool | handleGainCurve ()
| store the information from the GAIN_CURVE table in a calibration table
Bool | handlePhaseCal ()
| store the information from the PHASE-CAL table in a calibration table
Bool | handleCalc ()
| store the information from the CALC table in a calibration table
Bool | handleModelComps ()
| store the information from the MODEL_COMPS table
void | fixEpochReferences ()
| fix up the EPOCH MEASURE_REFERENCE keywords
void | updateTables (const String &tabName)
| update the Polarization table
const TableDesc & | getDescriptor ()
| Get an appropriate TableDesc (this is the same TableDesc used to construct any Table objects returned by this class.
TableRecord & | getKeywords ()
| Return the Table keywords (this is the same TableRecord used in any Table objects returned by this class.
const Table & | thisRow ()
| Get a Table with a single row, the current row of the FITS table.
const Table & | nextRow ()
| Get a Table with a single row, the next row of the FITS table.
Float | msVersion () const
| Get the version of the archived MS.
Bool | readFitsFile (const String &msFile)
| Read all the data from the FITS file and create the MeasurementSet.
Bool | isfirstMain ()
| is this the first UV_DATA extension
Public Member Functions inherited from casacore::BinaryTableExtension
| BinaryTableExtension (FitsInput &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| BinaryTableExtension (FitsKeywordList &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| BinaryTableExtension (FITSErrorHandler errhandler=FITSError::defaultHandler)
| constructor to match write_bintbl_hdr()
virtual | ~BinaryTableExtension ()
Int | nrows () const
| return basic elements of a table
Int | ncols () const
uInt | rowsize () const
Int | tfields () const
const char * | tform (int n) const
double | tscal (int n) const
double | tzero (int n) const
Bool | isatnull (int n) const
Int | tnull (int n) const
const char * | ttype (int n) const
const char * | tunit (int n) const
const char * | tdisp (int n) const
const char * | tdim (int n) const
const char * | ctype (int n) const
double | crpix (int n) const
double | crota (int n) const
double | crval (int n) const
double | cdelt (int n) const
Int | theap () const
const char * | author () const
const char * | referenc () const
int | bind (int, FitsBase &)
| binds a FitsField to a column
BinaryTableExtension & | operator++ ()
| row selector functions
BinaryTableExtension & | operator-- ()
BinaryTableExtension & | operator() (int)
int | read ()
| read entire table into memory
int | read (int)
| read next N rows into memory
int | set_next (int)
| prepare to write the next N rows
int | write (FitsOutput &)
| write current rows
int | write_binTbl_hdr (FitsOutput &, long, int, const char **, const char **, const char **, const char *, long)
| create a binary table header without using FitsKeywordList objet.
FitsBase & | field (int i) const
| select a field
Int | currrow () const
| get current row
Public Member Functions inherited from casacore::ExtensionHeaderDataUnit
| ExtensionHeaderDataUnit (FitsInput &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ExtensionHeaderDataUnit (FitsKeywordList &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ~ExtensionHeaderDataUnit ()
char * | xtension ()
char * | extname ()
Int | extver ()
Int | extlevel ()
Int | pcount ()
Int | gcount ()
int | read (char *addr, int nbytes)
| read next N bytes into addr
int | write (FitsOutput &fout, char *addr, int nbytes)
| write next N bytes from addr to the FITS output fout
Public Member Functions inherited from casacore::HeaderDataUnit
virtual | ~HeaderDataUnit ()
Int | dims () const
Int | dim (int n) const
OFF_T | fitsdatasize () const
FITS::ValueType | datatype () const
Int | fitsitemsize () const
Int | localitemsize () const
FITS::HDUType | hdutype () const
int | err () const
int | skip (uInt n)
| skipping one or more HDU's
int | skip ()
int | write_hdr (FitsOutput &)
| write the current header
ConstFitsKeywordList & | kwlist ()
| Operations on the HDU's keyword list.
Vector< String > | kwlist_str (Bool length80=False)
| return the header of the chdu as a vector of String.
void | firstkw ()
void | lastkw ()
const FitsKeyword * | nextkw ()
const FitsKeyword * | prevkw ()
const FitsKeyword * | currkw ()
const FitsKeyword * | kw (int n)
const FitsKeyword * | kw (const FITS::ReservedName &n)
const FitsKeyword * | nextkw (FITS::ReservedName &n)
const FitsKeyword * | kw (FITS::ReservedName &n, int i)
const FitsKeyword * | nextkw (FITS::ReservedName &n, int i)
const FitsKeyword * | kw (const char *n)
const FitsKeyword * | nextkw (const char *n)
void | mk (FITS::ReservedName k, Bool v, const char *c=0)
void | mk (FITS::ReservedName k, const char *v=0, const char *c=0)
void | mk (FITS::ReservedName k, Int v, const char *c=0)
void | mk (FITS::ReservedName k, double v, const char *c=0)
void | mk (int n, FITS::ReservedName k, Bool v, const char *c=0)
void | mk (int n, FITS::ReservedName k, const char *v, const char *c=0)
void | mk (int n, FITS::ReservedName k, Int v, const char *c=0)
void | mk (int n, FITS::ReservedName k, double v, const char *c=0)
void | mk (const char *n, Bool v, const char *c=0)
void | mk (const char *n, const char *v=0, const char *c=0)
void | mk (const char *n, Int v, const char *c=0)
void | mk (const char *n, float v, const char *c=0)
void | mk (const char *n, double v, const char *c=0)
void | mk (const char *n, Int r, Int i, const char *c=0)
void | mk (const char *n, float r, float i, const char *c=0)
void | mk (const char *n, double r, double i, const char *c=0)
void | spaces (const char *n=0, const char *c=0)
void | comment (const char *n=0, const char *c=0)
void | history (const char *c=0)
Bool | notnull (double x) const
Bool | notnull (char *s) const
Bool | notnull (Int l) const
int | get_hdr (FITS::HDUType, FitsKeywordList &)
int | read_data (char *, Int)
int | write_data (FitsOutput &, char *, Int)
OFF_T | read_all_data (char *)
int | write_all_data (FitsOutput &, char *)

## Protected Member Functions

void | getAxisInfo ()
| Read the axis info, throws an exception if required axes are missing.
void | setupMeasurementSet (const String &MSFileName, Bool useTSM=True, Bool mainTbl=False, Bool addCorrMod=False, Bool addSyscal=False, Bool addWeather=False, Bool addGainCurve=False, Bool addPhaseCal=False, Bool addEOP=False)
| Set up the MeasurementSet, including StorageManagers and fixed columns.
void | fillMSMainTable (const String &MSFileName, Int &nField, Int &nSpW)
| Fill the main table from the Primary group data.
Protected Member Functions inherited from casacore::BinaryTableExtension
| BinaryTableExtension (FitsInput &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| sets field addresses in the current row void set_fitsrow(Int);
| BinaryTableExtension (FitsKeywordList &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| BinaryTableExtension (FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
virtual int | readrow ()
| read and write the next FITS data row
virtual int | writerow (FitsOutput &)
void | set_fitsrow (Int)
| sets field addresses in the current row
Protected Member Functions inherited from casacore::ExtensionHeaderDataUnit
| ExtensionHeaderDataUnit (FitsInput &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ExtensionHeaderDataUnit (FitsKeywordList &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ExtensionHeaderDataUnit (FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| This constructor is used for writing only required keywords.
Protected Member Functions inherited from casacore::HeaderDataUnit
| HeaderDataUnit (FitsInput &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| For input – ~ should delete the keyword list: kwflag = 1.
| HeaderDataUnit (FitsKeywordList &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler, FitsInput *=0)
| For output – ~ should not delete keyword list: kwflag = 0 07/21/98 AKH Clarification: HeaderDataUnit has a copy of the FitsKeywordList, and should delete it.
| HeaderDataUnit (FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler, FitsInput *=0)
| constructor for objects that write only required keyword to fits file.
bool | init_data_unit (FITS::HDUType t)
| for write required keywords only to use.
void | posEnd ()
void | errmsg (HDUErrs, const char *)
char * | assign (FITS::ReservedName)
char * | assign (FITS::ReservedName, int)
double | asgdbl (FITS::ReservedName, double)
double | asgdbl (FITS::ReservedName, int, double)

## Private Member Functions

void | fillRow ()
| Fill in each row as needed.
void | convertKeywords ()
| Build part of the keywords of the itsCurRowTab.
void | describeColumns ()
| Convert FITS field descriptions to TableColumn descriptions.
void | convertMSKeywords ()
| Convert the MS-specific keywords in the FITS binary table.

## Private Attributes

Table | itsCurRowTab
| The scratch table containing the current row.
Vector< Int > | itsNelem
| The number of elements for each column of the BinaryTableExtension.
Vector< Bool > | itsIsArray
| For each column: is it an array?
TableRecord | itsKwSet
| Table keyword set.
TableDesc | itsTableDesc
| Table descriptor for construction.
TableInfo | itsTableInfo
| Table info.
Float | itsVersion
| The MS version.
uInt | itsNrMSKs
| Buffer for storing the MSK's, MS-specific FITS keywords.
Vector< String > | itsMSKC
Vector< String > | itsMSKN
Vector< String > | itsMSKV
Vector< Bool > | itsgotMSK
String | msFile_p
Vector< Int > | nPixel_p
Vector< Int > | corrType_p
Block< Int > | corrIndex_p
Block< Int > | corrSwapIndex_p
Matrix< Int > | corrProduct_p
Vector< String > | coordType_p
Vector< Double > | refVal_p
Vector< Double > | refPix_p
Vector< Double > | delta_p
String | object_p
String | timsys_p
Double | epoch_p
Int | nAnt_p
Vector< Double > | receptorAngle_p
MFrequency::Types | freqsys_p
Double | restfreq_p
LogIO * | itsLog
Double | startTime_p
Double | lastTime_p
Int | itsObsType
String | itsCorrelat
Float | itsCorVer
Float | itsVanVleck
MeasurementSet | ms_p
MSColumns * | msc_p
Bool | weather_hasWater_p
Bool | weather_hasElectron_p
Bool | uv_data_hasWeights_p
Bool | weightypKwPresent_p
String | weightyp_p
Int | nStokes_p
Int | nBand_p
Double | visScl_p
Int | nFreqid_p

## Static Private Attributes

static String | array_p
static Double | rdate
static Bool | firstMain
static Bool | firstSyscal
static Bool | firstWeather
static Bool | firstGainCurve
static Bool | firstPhaseCal
static Bool | firstEOP
static std::map< Int, Int > | antIdFromNo
static std::map< Int, Int > | digiLevels
static Vector< Double > | effChBw

## Additional Inherited Members

Public Types inherited from casacore::HeaderDataUnit
enum | HDUErrs { OK , NOMEM , MISSKEY , BADBITPIX , NOAXISN , NOPCOUNT , NOGCOUNT , BADPCOUNT , BADGCOUNT , NOGROUPS , BADNAXIS , BADREC , BADTYPE , BADRULES , BADSIZE , BADOPER , BADCONV , BADIO }
| error handling and error codes that can be returned More...
Static Public Member Functions inherited from casacore::HeaderDataUnit
static Bool | determine_type (FitsKeywordList &, FITS::HDUType &, FITS::ValueType &, FITSErrorHandler, HDUErrs &)
| Determines the HDU type and the data type Parameterss: keyword list, hdu type, data type, error handler and error status.
static Bool | compute_size (FitsKeywordList &, OFF_T &, Int &, FITS::HDUType &, FITS::ValueType &, FITSErrorHandler, HDUErrs &)
| Compute the total size of the data associated with an HDU.
Protected Attributes inherited from casacore::BinaryTableExtension
Int | tfields_x
char ** | tform_x
double * | tscal_x
double * | tzero_x
Bool * | isatnull_x
Int * | tnull_x
char ** | ttype_x
char ** | tunit_x
char ** | tdisp_x
char ** | tdim_x
char ** | ctype_x
double * | crpix_x
double * | crota_x
double * | crval_x
double * | cdelt_x
Int | nAxis
Int | theap_x
char * | author_x
char * | referenc_x
unsigned char * | fitsrow
uInt * | fits_offset
uInt | fitsrowsize
Bool | isoptimum
unsigned char * | table
uInt | tablerowsize
uInt | alloc_row
Int | beg_row
Int | end_row
Int | curr_row
FitsBase ** | fld
uInt * | table_offset
void ** | data_addr
| data addresses of fields of current row
Protected Attributes inherited from casacore::ExtensionHeaderDataUnit
char * | xtension_x
char * | extname_x
Int | extver_x
Int | extlevel_x
Int | pcount_x
Int | gcount_x
Protected Attributes inherited from casacore::HeaderDataUnit
FitsKeywordList & | kwlist_
ConstFitsKeywordList | constkwlist_
FitsInput * | fin
FITSErrorHandler | errfn
HDUErrs | err_status
Int | no_dims
Int * | dimn
OFF_T | fits_data_size
| uInt fits_data_size; // size in bytes of total amount of data
FITS::ValueType | data_type
Int | fits_item_size
Int | local_item_size
FITS::HDUType | hdu_type
char | pad_char
double | double_null
char | char_null
Int | Int_null

## Detailed Description

FITSIDItoMS converts a FITS-IDI file to a CASA Measurement Set

### Intended use:

Public interface

### Prerequisite

- FitsInput
- HeaderDataUnit
- BinaryTableExtension
- Tables module

### Etymology

FITSIDItoMS inherits from the FITS BinaryTableExtension class and its primary use is to convert such an object to a CASA Table. This explains it's use but not its name. A better name should be found.

### Synopsis

The class starts with an already existing FitsInput object, which should be set at a BinaryTableExtension HDU. Member functions provide a TableDesc appropriate for the FITS data (to help in constructing a CASA Table compatible with the BinaryTableExtension), a Table containing the current row of FITS data and a Table containing the next row of FITS data (which can be used to step through the FitsInput, copying each row using the RowCopier class), and a Table containin the entire FITS binary table from the current row to the end of the table.

### Motivation

We need a way to get FITS-IDI data (typically from VLBI observations) into CASA.

### Example

Open a FitsInput from a disk file, if the HDU is a BinaryTableExtension, then instantiate a MSBinaryTable object and get the entire table. A fair amount of error checking has been eliminated from this example.

FitsInput infits("myFITSFile", FITS::Disk);
switch (infits.hdutype()) {
case FITS::BinaryTableHDU:
MSBinaryTable bintab(infits);
Table tab = bintab.fullTable("myTable");
break;
}
casacore::FITS::BinaryTableHDU
@ BinaryTableHDU
Definition fits.h:263
casacore::FITS::Disk
@ Disk
Definition fits.h:257
casacore::FitsInput
fixed-length sequential blocked FITS input
Definition fitsio.h:154
casacore::Table
Definition Table.h:157

There would obviously be other cases to the switch to deal with any other HDUs (e.g. skip them via infits.skip_hdu()). The Table destructor would write "myTable" to disk.

Definition at line 115 of file FitsIDItoMS.h.

## Constructor & Destructor Documentation

## FITSIDItoMS1()

casacore::FITSIDItoMS1::FITSIDItoMS1 | ( | FitsInput & | in,
|  | const String & | correlat,
|  | const Int & | obsType = 0,
|  | const Bool & | initFirstMain = True,
|  | const Float & | vanVleck = 0.0,
|  | const Float & | corVer = 0.0 )

The only constructor is from a FitsInput.

The correlat string should be set to the correlator name/type as contained in the CORRELAT keyword from the FITS-IDI primary header. If it is set to "DIFX" (case-sensitive) additional digital corrections appropriate for the DiFX software correlator will be applied. Other valid values include "VLBA" (for the original VLBA hardware correlator; currently unsupported) and "SFXC" (for the SFXC software correlator used by the EVN).

References casacore::True.

## ~FITSIDItoMS1()

casacore::FITSIDItoMS1::~FITSIDItoMS1 | ( |  | ) |

## Member Function Documentation

## convertKeywords()

void casacore::FITSIDItoMS1::convertKeywords | ( |  | ) |

private

Build part of the keywords of the itsCurRowTab.

## convertMSKeywords()

void casacore::FITSIDItoMS1::convertMSKeywords | ( |  | ) |

private

Convert the MS-specific keywords in the FITS binary table.

## describeColumns()

void casacore::FITSIDItoMS1::describeColumns | ( |  | ) |

private

Convert FITS field descriptions to TableColumn descriptions.

## fillAntennaTable()

void casacore::FITSIDItoMS1::fillAntennaTable | ( |  | ) |

Read a binary table extension of type ANTENNA and create an antenna table void fillAntennaTable(BinaryTable& bt);.

## fillCorrelatorModelTable()

Bool casacore::FITSIDItoMS1::fillCorrelatorModelTable | ( |  | ) |

fill the optional Correlator Model table with the content of INTERFEROMETER_MODEL

## fillFeedTable()

void casacore::FITSIDItoMS1::fillFeedTable | ( |  | ) |

fill the Feed table with minimal info needed for synthesis processing

## fillFieldTable()

void casacore::FITSIDItoMS1::fillFieldTable | ( |  | ) |

fill the Field table void fillFieldTable(Int nField);

## fillFlagCmdTable()

Bool casacore::FITSIDItoMS1::fillFlagCmdTable | ( |  | ) |

fill the optional FlagCmd table with the content of FLAG

## fillMSMainTable()

void casacore::FITSIDItoMS1::fillMSMainTable | ( | const String & | MSFileName,
|  | Int & | nField,
|  | Int & | nSpW )

protected

Fill the main table from the Primary group data.

## fillObsTables()

void casacore::FITSIDItoMS1::fillObsTables | ( |  | ) |

Fill the Observation and ObsLog tables.

## fillRow()

void casacore::FITSIDItoMS1::fillRow | ( |  | ) |

private

Fill in each row as needed.

## fillSpectralWindowTable()

void casacore::FITSIDItoMS1::fillSpectralWindowTable | ( |  | ) |

fill the Spectral Window table with the content of FREQUENCY

## fillSysCalTable()

Bool casacore::FITSIDItoMS1::fillSysCalTable | ( |  | ) |

fill the optional SysCal table with the content of SYSTEM_TEMPERATURE

## fillWeatherTable()

Bool casacore::FITSIDItoMS1::fillWeatherTable | ( |  | ) |

fill the optional Weather table with the content of WEATHER

## fixEpochReferences()

void casacore::FITSIDItoMS1::fixEpochReferences | ( |  | ) |

fix up the EPOCH MEASURE_REFERENCE keywords

## getAxisInfo()

void casacore::FITSIDItoMS1::getAxisInfo | ( |  | ) |

protected

Read the axis info, throws an exception if required axes are missing.

## getDescriptor()

const TableDesc & casacore::FITSIDItoMS1::getDescriptor | ( |  | ) |

Get an appropriate TableDesc (this is the same TableDesc used to construct any Table objects returned by this class.

## getKeywords()

TableRecord & casacore::FITSIDItoMS1::getKeywords | ( |  | ) |

Return the Table keywords (this is the same TableRecord used in any Table objects returned by this class.

## handleCalc()

Bool casacore::FITSIDItoMS1::handleCalc | ( |  | ) |

store the information from the CALC table in a calibration table

## handleGainCurve()

Bool casacore::FITSIDItoMS1::handleGainCurve | ( |  | ) |

store the information from the GAIN_CURVE table in a calibration table

## handleModelComps()

Bool casacore::FITSIDItoMS1::handleModelComps | ( |  | ) |

store the information from the MODEL_COMPS table

## handlePhaseCal()

Bool casacore::FITSIDItoMS1::handlePhaseCal | ( |  | ) |

store the information from the PHASE-CAL table in a calibration table

## isfirstMain()

Bool casacore::FITSIDItoMS1::isfirstMain | ( |  | ) |

inline

is this the first UV_DATA extension

Definition at line 231 of file FitsIDItoMS.h.

References firstMain.

## msVersion()

Float casacore::FITSIDItoMS1::msVersion | ( |  | ) | const

inline

Get the version of the archived MS.

Definition at line 222 of file FitsIDItoMS.h.

References itsVersion.

## nextRow()

const Table & casacore::FITSIDItoMS1::nextRow | ( |  | ) |

Get a Table with a single row, the next row of the FITS table.

The returned Table is a Scratch table. The FITS input is positioned to the next row and the values translated and returned in a Table object.

## oldfullTable()

Table casacore::FITSIDItoMS1::oldfullTable | ( | const String & | tabName | ) |

Get the full table, using the supplied arguments to construct the table.

The table will contain all data from the current row to the end of the BinaryTableExtension.

## readFitsFile()

Bool casacore::FITSIDItoMS1::readFitsFile | ( | const String & | msFile | ) |

Read all the data from the FITS file and create the MeasurementSet.

Throws an exception when it has severe trouble interpreting the FITS file. Returns False if it encounters an unsupported extension.

## setupMeasurementSet()

void casacore::FITSIDItoMS1::setupMeasurementSet | ( | const String & | MSFileName,
|  | Bool | useTSM = True,
|  | Bool | mainTbl = False,
|  | Bool | addCorrMod = False,
|  | Bool | addSyscal = False,
|  | Bool | addWeather = False,
|  | Bool | addGainCurve = False,
|  | Bool | addPhaseCal = False,
|  | Bool | addEOP = False )

protected

Set up the MeasurementSet, including StorageManagers and fixed columns.

If useTSM is True, the Tiled Storage Manager will be used to store DATA, FLAG and WEIGHT_SPECTRUM

References casacore::False, and casacore::True.

## thisRow()

const Table & casacore::FITSIDItoMS1::thisRow | ( |  | ) |

Get a Table with a single row, the current row of the FITS table.

The returned Table is a Scratch table. The standard BinaryTableExtension manipulation functions are available to position the FITS input at the desired location.

## updateTables()

void casacore::FITSIDItoMS1::updateTables | ( | const String & | tabName | ) |

update the Polarization table

## Member Data Documentation

## antIdFromNo

std::map<Int,Int> casacore::FITSIDItoMS1::antIdFromNo

static private

Definition at line 325 of file FitsIDItoMS.h.

## array_p

String casacore::FITSIDItoMS1::array_p

static private

Definition at line 293 of file FitsIDItoMS.h.

## coordType_p

Vector<String> casacore::FITSIDItoMS1::coordType_p

private

Definition at line 291 of file FitsIDItoMS.h.

## corrIndex_p

Block<Int> casacore::FITSIDItoMS1::corrIndex_p

private

Definition at line 289 of file FitsIDItoMS.h.

## corrProduct_p

Matrix<Int> casacore::FITSIDItoMS1::corrProduct_p

private

Definition at line 290 of file FitsIDItoMS.h.

## corrSwapIndex_p

Block<Int> casacore::FITSIDItoMS1::corrSwapIndex_p

private

Definition at line 289 of file FitsIDItoMS.h.

## corrType_p

Vector<Int> casacore::FITSIDItoMS1::corrType_p

private

Definition at line 288 of file FitsIDItoMS.h.

## delta_p

Vector<Double> casacore::FITSIDItoMS1::delta_p

private

Definition at line 292 of file FitsIDItoMS.h.

## digiLevels

std::map<Int,Int> casacore::FITSIDItoMS1::digiLevels

static private

Definition at line 326 of file FitsIDItoMS.h.

## effChBw

Vector<Double> casacore::FITSIDItoMS1::effChBw

static private

Definition at line 327 of file FitsIDItoMS.h.

## epoch_p

Double casacore::FITSIDItoMS1::epoch_p

private

Definition at line 295 of file FitsIDItoMS.h.

## firstEOP

Bool casacore::FITSIDItoMS1::firstEOP

static private

Definition at line 316 of file FitsIDItoMS.h.

## firstGainCurve

Bool casacore::FITSIDItoMS1::firstGainCurve

static private

Definition at line 314 of file FitsIDItoMS.h.

## firstMain

Bool casacore::FITSIDItoMS1::firstMain

static private

Definition at line 311 of file FitsIDItoMS.h.

Referenced by isfirstMain().

## firstPhaseCal

Bool casacore::FITSIDItoMS1::firstPhaseCal

static private

Definition at line 315 of file FitsIDItoMS.h.

## firstSyscal

Bool casacore::FITSIDItoMS1::firstSyscal

static private

Definition at line 312 of file FitsIDItoMS.h.

## firstWeather

Bool casacore::FITSIDItoMS1::firstWeather

static private

Definition at line 313 of file FitsIDItoMS.h.

## freqsys_p

MFrequency::Types casacore::FITSIDItoMS1::freqsys_p

private

Definition at line 299 of file FitsIDItoMS.h.

## itsCorrelat

String casacore::FITSIDItoMS1::itsCorrelat

private

Definition at line 306 of file FitsIDItoMS.h.

## itsCorVer

Float casacore::FITSIDItoMS1::itsCorVer

private

Definition at line 307 of file FitsIDItoMS.h.

## itsCurRowTab

Table casacore::FITSIDItoMS1::itsCurRowTab

private

The scratch table containing the current row.

Definition at line 255 of file FitsIDItoMS.h.

## itsgotMSK

Vector<Bool> casacore::FITSIDItoMS1::itsgotMSK

private

Definition at line 283 of file FitsIDItoMS.h.

## itsIsArray

Vector<Bool> casacore::FITSIDItoMS1::itsIsArray

private

For each column: is it an array?

Definition at line 262 of file FitsIDItoMS.h.

## itsKwSet

TableRecord casacore::FITSIDItoMS1::itsKwSet

private

Table keyword set.

Definition at line 265 of file FitsIDItoMS.h.

## itsLog

LogIO* casacore::FITSIDItoMS1::itsLog

private

Definition at line 301 of file FitsIDItoMS.h.

## itsMSKC

Vector<String> casacore::FITSIDItoMS1::itsMSKC

private

Definition at line 280 of file FitsIDItoMS.h.

## itsMSKN

Vector<String> casacore::FITSIDItoMS1::itsMSKN

private

Definition at line 281 of file FitsIDItoMS.h.

## itsMSKV

Vector<String> casacore::FITSIDItoMS1::itsMSKV

private

Definition at line 282 of file FitsIDItoMS.h.

## itsNelem

Vector<Int> casacore::FITSIDItoMS1::itsNelem

private

The number of elements for each column of the BinaryTableExtension.

Definition at line 259 of file FitsIDItoMS.h.

## itsNrMSKs

uInt casacore::FITSIDItoMS1::itsNrMSKs

private

Buffer for storing the MSK's, MS-specific FITS keywords.

Definition at line 279 of file FitsIDItoMS.h.

## itsObsType

Int casacore::FITSIDItoMS1::itsObsType

private

Definition at line 305 of file FitsIDItoMS.h.

## itsTableDesc

TableDesc casacore::FITSIDItoMS1::itsTableDesc

private

Table descriptor for construction.

Definition at line 268 of file FitsIDItoMS.h.

## itsTableInfo

TableInfo casacore::FITSIDItoMS1::itsTableInfo

private

Table info.

Definition at line 271 of file FitsIDItoMS.h.

## itsVanVleck

Float casacore::FITSIDItoMS1::itsVanVleck

private

Definition at line 308 of file FitsIDItoMS.h.

## itsVersion

Float casacore::FITSIDItoMS1::itsVersion

private

The MS version.

Definition at line 274 of file FitsIDItoMS.h.

Referenced by msVersion().

## lastTime_p

Double casacore::FITSIDItoMS1::lastTime_p

private

Definition at line 304 of file FitsIDItoMS.h.

## ms_p

MeasurementSet casacore::FITSIDItoMS1::ms_p

private

Definition at line 309 of file FitsIDItoMS.h.

## msc_p

MSColumns* casacore::FITSIDItoMS1::msc_p

private

Definition at line 310 of file FitsIDItoMS.h.

## msFile_p

String casacore::FITSIDItoMS1::msFile_p

private

Definition at line 287 of file FitsIDItoMS.h.

## nAnt_p

Int casacore::FITSIDItoMS1::nAnt_p

private

Definition at line 297 of file FitsIDItoMS.h.

## nBand_p

Int casacore::FITSIDItoMS1::nBand_p

private

Definition at line 323 of file FitsIDItoMS.h.

## nFreqid_p

Int casacore::FITSIDItoMS1::nFreqid_p

private

Definition at line 328 of file FitsIDItoMS.h.

## nPixel_p

Vector<Int> casacore::FITSIDItoMS1::nPixel_p

private

Definition at line 288 of file FitsIDItoMS.h.

## nStokes_p

Int casacore::FITSIDItoMS1::nStokes_p

private

Definition at line 322 of file FitsIDItoMS.h.

## object_p

String casacore::FITSIDItoMS1::object_p

private

Definition at line 294 of file FitsIDItoMS.h.

## rdate

Double casacore::FITSIDItoMS1::rdate

static private

Definition at line 296 of file FitsIDItoMS.h.

## receptorAngle_p

Vector<Double> casacore::FITSIDItoMS1::receptorAngle_p

private

Definition at line 298 of file FitsIDItoMS.h.

## refPix_p

Vector<Double> casacore::FITSIDItoMS1::refPix_p

private

Definition at line 292 of file FitsIDItoMS.h.

## refVal_p

Vector<Double> casacore::FITSIDItoMS1::refVal_p

private

Definition at line 292 of file FitsIDItoMS.h.

## restfreq_p

Double casacore::FITSIDItoMS1::restfreq_p

private

Definition at line 300 of file FitsIDItoMS.h.

## startTime_p

Double casacore::FITSIDItoMS1::startTime_p

private

Definition at line 303 of file FitsIDItoMS.h.

## timsys_p

String casacore::FITSIDItoMS1::timsys_p

private

Definition at line 294 of file FitsIDItoMS.h.

## uv_data_hasWeights_p

Bool casacore::FITSIDItoMS1::uv_data_hasWeights_p

private

Definition at line 319 of file FitsIDItoMS.h.

## visScl_p

Double casacore::FITSIDItoMS1::visScl_p

private

Definition at line 324 of file FitsIDItoMS.h.

## weather_hasElectron_p

Bool casacore::FITSIDItoMS1::weather_hasElectron_p

private

Definition at line 318 of file FitsIDItoMS.h.

## weather_hasWater_p

Bool casacore::FITSIDItoMS1::weather_hasWater_p

private

Definition at line 317 of file FitsIDItoMS.h.

## weightyp_p

String casacore::FITSIDItoMS1::weightyp_p

private

Definition at line 321 of file FitsIDItoMS.h.

## weightypKwPresent_p

Bool casacore::FITSIDItoMS1::weightypKwPresent_p

private

Definition at line 320 of file FitsIDItoMS.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/FitsIDItoMS.h